Page MenuHomePhabricator

Return actual term language in mw.wikibase.label
Closed, ResolvedPublic

Description

Consumers sometimes need to know which language they are actually working with.

Can be returned as a second return parameter, making use of it being possible to return several values in Lua.

Event Timeline

hoo created this task.Aug 16 2016, 11:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2016, 11:43 AM
Zolo added a subscriber: Zolo.Aug 16 2016, 12:50 PM

Change 305322 had a related patch set uploaded (by Hoo man):
Return actual term language in label/description accessors

https://gerrit.wikimedia.org/r/305322

hoo claimed this task.Aug 17 2016, 7:12 PM

Change 305322 merged by jenkins-bot:
Return actual term language in label/description accessors

https://gerrit.wikimedia.org/r/305322

hoo closed this task as Resolved.Aug 24 2016, 5:54 PM
hoo moved this task from Review to Done on the Wikidata-Sprint-2016-08-16 board.
hoo removed a project: Patch-For-Review.